[suggest] Bug in emacs-git-1.7.3-1.el5.rf

Dag Wieers dag at wieers.com
Fri Dec 3 12:10:52 CET 2010


On Fri, 3 Dec 2010, ghazel at gmail.com wrote:

> After a lot of hunting, I found:
>
> emacs-git-1.7.3-1.el5.rf owns
> /usr/share/emacs/site-lisp/site-start.d/git-init.el which says
> "(add-to-list 'vc-handled-backends 'GIT t)" which causes emacs to say
> "Cannot open load file: vc-git" which prevents it from starting
> properly. Commenting that line out got emacs starting again for me,
> but I don't use any of the emacs-git integration features (I would
> just uninstall them, but doing so wants to remove git-all).
>
> I'm using emacs-21.4-20.el5.

Since git-all depends on all git packages, removing emacs-git will remove 
git-all, no harm done. All the other git packages stay behind.

However, the emacs-git problem should be fixed. Anyone using emacs 
interested to look at this problem ?

-- 
-- dag wieers, dag at wieers.com, http://dag.wieers.com/
-- dagit linux solutions, info at dagit.net, http://dagit.net/

[Any errors in spelling, tact or fact are transmission errors]



More information about the users mailing list